# Class UndoRedoActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.ui.operations.UndoRedoActionGroup

public final class UndoRedoActionGroup extends ActionGroup

UndoRedoActionGroup provides standard undo and redo action handlers for a workbench part site. It supports filtering of undo or redo on a particular undo context. The undo context can be optionally pruned, which means the context will be flushed actively whenever an invalid operation is found on top of its history. This class may be instantiated by clients.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`UndoRedoActionGroup(IWorkbenchPartSite site, IUndoContext undoContext, boolean pruneHistory)`
Construct an undo redo action group for the specified workbench part site, using the specified undo context.

## Method Summary

Modifier and Type
Method
Description
`void`
`fillActionBars(IActionBars actionBars)`
Adds the applicable actions to a part's action bars, including setting any global action handlers.

### Methods inherited from class ActionGroup

`dispose, fillContextMenu, getContext, setContext, updateActionBars`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UndoRedoActionGroup

public UndoRedoActionGroup(IWorkbenchPartSite site, IUndoContext undoContext, boolean pruneHistory)
Construct an undo redo action group for the specified workbench part site, using the specified undo context.

Parameters:
  `site` - the workbench part site that is creating the action group
  `undoContext` - the undo context to be used for filtering the operation history
  `pruneHistory` - a boolean that indicates whether the history for the specified context should be pruned whenever an invalid operation is encountered.

## Method Details

### fillActionBars

public void fillActionBars(IActionBars actionBars)
Description copied from class: `ActionGroup`
Adds the applicable actions to a part's action bars, including setting any global action handlers.

The default implementation does nothing. Subclasses may override or extend this method.

Overrides:
  `fillActionBars` in class `ActionGroup`
Parameters:
  `actionBars` - the part's action bars